/* Adjusting width of foundation 2 column block grid  */
.block-grid.two-up.open-house-grid { margin: 0 -15px; }
.block-grid.two-up.open-house-grid > li { width: 37%; padding: 0 15px 15px; }
.block-grid.two-up.open-house-grid > li:nth-child(2n+1) { clear: both; }

@media only screen and (max-width: 767px) {
    .block-grid.two-up.open-house-grid > li {
        width: 100%;
    }
}